aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.com>2022-02-11 10:33:18 +0200
committerkaotisk <kaotisk@arching-kaos.com>2022-02-11 10:33:18 +0200
commitb884eac5c8b3742924ca29658ec2c9e1f2e1c972 (patch)
tree6c617c04bdd1c6919992849afaeb36eba5da02ab
parentea876839b8026694cbc09b2903d5dd9d690c0b0a (diff)
downloadarching-kaos-tools-b884eac5c8b3742924ca29658ec2c9e1f2e1c972.tar.gz
arching-kaos-tools-b884eac5c8b3742924ca29658ec2c9e1f2e1c972.tar.bz2
arching-kaos-tools-b884eac5c8b3742924ca29658ec2c9e1f2e1c972.zip
Fixing possible problems related to IPFS keys
-rwxr-xr-xbin/ipfs-check22
1 files changed, 19 insertions, 3 deletions
diff --git a/bin/ipfs-check b/bin/ipfs-check
index 8f5f99a..509593a 100755
--- a/bin/ipfs-check
+++ b/bin/ipfs-check
@@ -11,7 +11,23 @@ ipfs files ls /zlatest
if [ $? != 0 ]; then logit "/zlatest is missing" ; fi
ipfs key list | grep zchain
-if [ $? != 0 ]; then logit "zchain key is missing" ; fi
+if [ $? != 0 ]; then
+ logit "zchain key is missing"
+ ipfs key gen zchain > $ZCHAIN
+ if [ $? != 0 ]; then
+ logit "zchain fails to create"
+ else
+ logit "zchain created"
+ fi
+fi
-ipfs key list | grep ak-config
-if [ $? != 0 ]; then logit "ak-config key is missing" ; fi
+ipfs key list | grep ak-config
+if [ $? != 0 ]; then
+ logit "ak-config key is missing"
+ ipfs key gen ak-config
+ if [ $? != 0 ]; then
+ logit "ak-config fails to create"
+ else
+ logit "ak-config created"
+ fi
+fi